Package org.linphone.mediastream.video.capture

# Class AndroidVideoApi8JniWrapper

java.lang.Object
org.linphone.mediastream.video.capture.AndroidVideoApi8JniWrapper

public class AndroidVideoApi8JniWrapper extends Object

## Constructor Summary

Constructors
Constructor
Description
`AndroidVideoApi8JniWrapper()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`detectCameras(int[] indexes, int[] frontFacing, int[] orientation)`
`static int`
`detectCamerasCount()`
`static int[]`
`selectNearestResolutionAvailable(int cameraId, int requestedW, int requestedH)`
`static void`
`setPreviewDisplaySurface(Object cam, Object surf)`
`static Object`
`startRecording(int cameraId, int width, int height, int fps, int rotation, long nativePtr)`
`static void`
`stopRecording(Object cam)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AndroidVideoApi8JniWrapper

public AndroidVideoApi8JniWrapper()

## Method Details

### detectCamerasCount

public static int detectCamerasCount()

### detectCameras

public static int detectCameras(int[] indexes, int[] frontFacing, int[] orientation)

### selectNearestResolutionAvailable

public static int[] selectNearestResolutionAvailable(int cameraId, int requestedW, int requestedH)

### startRecording

public static Object startRecording(int cameraId, int width, int height, int fps, int rotation, long nativePtr)

### stopRecording

public static void stopRecording(Object cam)

### setPreviewDisplaySurface

public static void setPreviewDisplaySurface(Object cam, Object surf)